+================================================
+                                                
+ Laguna SmartShop CNC FANUC 0i - Vectric machine output configuration file   
+ Version for Aspire, VCarve Pro =>4.602, Cut2D 
+                                                
+================================================
+                                                
+ History                                        
+                                                
+ Who        When       What                         
+ ========== ========== ===========================
+ Routerbob  5-3-2015
+ Max Miller 5-24-2019  edited for wrapped jobs
+================================================

POST_NAME = "Laguna SmartShop FANUC X-WRAP (inch) (*.NC)"

FILE_EXTENSION = "NC"

UNITS = "inches"

ROTARY_WRAP_X = "A"

SUBSTITUTE = "({)}"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------

LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 1
LINE_NUMBER_MAXIMUM = 999999

+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|C| X|1.4]
VAR Y_POSITION = [Y|C| Y|1.4]
VAR Z_POSITION = [Z|C| Z|1.4]
VAR ARC_RADIUS = [Radius|A|R|1.4]
VAR X_HOME_POSITION = [XH|A|X|1.4]
VAR Y_HOME_POSITION = [YH|A|Y|1.4]
VAR Z_HOME_POSITION = [ZH|A|Z|1.4]
VAR SAFE_Z_HEIGHT = [SAFEZ|A|Z|1.4]
VAR WRAP_DIAMETER = [WRAP_DIA|A||1.4]

+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------

begin HEADER

"%"
"O0001 ([TP_FILENAME] [Date])"
"[N] (Machine:  Laguna SmartShop 3 FANUC)"
"( Material Size)"
"( X= [XLENGTH], Y= [YLENGTH], Z= [ZLENGTH])"
"(Axis of Rotation: Y)"
"(Tools used in this file: )"
"(T[TOOLS_USED])"
"[N] G00 G17 G20 G40 G49 G80 G90"
"[N] G52 X0 Y0"
"[N] G54"
"[N] G53 Z0"
"[N] G05.1 Q1"
"[N] (Tool: [TOOLNAME])"
"[N] T[T] M06"
"[N] M03 [S]"
"[N] G43 H[T] [ZH]"
"[N] G00 X0"

+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------

begin RAPID_MOVE

"[N] G00[X][Y][Z]"

+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------

begin FIRST_FEED_MOVE

"[N] G01[X][Y][Z] [F]"

+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------

begin FEED_MOVE

"[N] G01[X][Y][Z]"

+---------------------------------------------------
+  Commands output for the first clockwise arc move
+---------------------------------------------------

begin FIRST_CW_ARC_MOVE

"[N] G02[X][Y] [Radius] [F]"

+---------------------------------------------------
+  Commands output for clockwise arc  move
+---------------------------------------------------

begin CW_ARC_MOVE

"[N] G02[X][Y] [Radius]"

+---------------------------------------------------
+  Commands output for the first counterclockwise arc move
+---------------------------------------------------

begin FIRST_CCW_ARC_MOVE

"[N] G03[X][Y] [Radius] [F]"

+---------------------------------------------------
+  Commands output for counterclockwise arc  move
+---------------------------------------------------

begin CCW_ARC_MOVE

"[N] G03[X][Y] [Radius]"

+---------------------------------------------------
+  Commands output at toolchange
+---------------------------------------------------

begin TOOLCHANGE

"[N] G05.1 Q0"
"[N] G00 G53 G49 Z0"
"[N] M05"
"[N] (Tool: [TOOLNAME])"
"[N] T[T] M06"
"[N] G05.1 Q1"
"[N] G00 G43 H[T] [ZH]"
"[N] M03 [S]"
"[N] G54"
"[N] G00 X0"

+---------------------------------------------------
+  Commands output for a new segment - toolpath
+  with same toolnumber but maybe different feedrates
+---------------------------------------------------

begin NEW_SEGMENT

+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------

begin FOOTER
"[N] G00 G53 G49 Z0"
"[N] G05.1 Q0"
"[N] G00 G53 [XH] [YH] M05"
"[N] M30"
"%"




